#include <iostream>
#include <math.h>
#include "bitmap.h"

using namespace std;

int main() {
	const int imageWidth = 250, imageHeight = 250;

	Bitmap bitmap(imageWidth, imageHeight);
	
	for (int x = 0; x < imageWidth; x++) {
		for (int y = 0; y < imageHeight; y++) {
			bitmap.setPixel(x, y, 0, 0, 0);
		}
	}

	const int R = 255;
	
	for (int x = 0; x < 400; x++) {
		for (int y = 50; y < 230; y++) {
			int distance = sqrt((x-400) * (x-400) - (y-300) * (y-300));
			if (distance==R) bitmap.setPixel(x, y, 255, 0, 0);
		}
	}
	for (int x = 0; x < 200; x++) {
		for (int y = 0; y < 150; y++) {
			int distance = sqrt((x-400/1.6) * (x-400) + (y-300) * (y-300));
			if (distance==R) bitmap.setPixel(x, y, 255, 0, 0);
		}
	}
	for (int x = 0; x < 400; x++) {
		for (int y = 150; y < 175; y++) {
			int distance = sqrt((x-400) * (x-400) - (y-300) * (y-300));
			if (distance==R-50) {
				bitmap.setPixel(x, y, 255, 0, 0);
				bitmap.setPixel(x+1, y, 255, 0, 0);
			}
		}
	}
	for (int x = 0; x < 200; x++) {
		for (int y = 150; y < 175; y++) {
			int distance = sqrt((x-400/1.6) * (x-400) + (y-300) * (y-300));
			if (distance==R+35) bitmap.setPixel(x, y, 255, 0, 0);
		}
	}

	bitmap.save("fire.bmp");
	
	return 0;
}

